SolidEdgeDraft.Blocks Properties

Valued Contributor
Valued Contributor

Can someone tell me if there is a way to access (set and get) the items from the properties array you see when you open the properties window of a SolidEdgeDraft.Block ?

 

Using C#, but VB is fine too.

 

Thanks,

Matt

 

Posted by: Matt Gabbard
Post date: 9/4/2013 8:40:55 AM

1 REPLY

SolidEdgeDraft.Blocks Properties

Valued Contributor
Valued Contributor

Matt,

 

out of brain you should find the block properties (called block labels) as follows:

 

DraftDocument.Blocks

->BlockOccurrences

-->BlockOccurrence

--->BlockLabelOccurrences

---->BlockLabelOccurrence

---->>BlockLabel

 

Posted by: Wolfgang Kunert
Post date: 9/4/2013 11:02:07 AM